Package Details: scrotpush 1.3-1

Git Clone URL: https://aur.archlinux.org/scrotpush.git (read-only, click to copy)
Package Base: scrotpush
Description: Push screenshot to imgur and copy its url
Upstream URL: https://gitlab.com/WhyNotHugo/scrotpush
Keywords: imgur screenshot
Licenses: BSD
Submitter: WhyNotHugo
Maintainer: WhyNotHugo
Last Packager: WhyNotHugo
Votes: 11
Popularity: 0.000000
First Submitted: 2014-03-15 02:31
Last Updated: 2020-07-28 21:11

Latest Comments

m040601 commented on 2020-07-31 03:37

It's still working somehow after 5 years without updates. It updates to imgur, but it's giving me this errors:

$ scrotpush

 /usr/bin/scrotpush:3: PyGIWarning: Gdk was imported without specifying
 a version first. Use gi.require_version('Gdk', '3.0') before import to
 ensure that the right version gets loaded.
 from gi.repository import Gdk

and line 3 of /usr/bin/scrotpush has:

from gi.repository import Gdk

I'm no python developer. Have no idea. Probably old unmaintained dependencies ? It's a pity this tool didnt get any update in the last 5 years, because This is a simple, barebones, cute and usefull python tool.

Maybe you could do a little gitlab code cleanup ?

WhyNotHugo commented on 2020-07-28 21:11

Updated, thanks.

m040601 commented on 2020-07-28 17:19

Please update this PKGBUILD's old source:

source=("https://gitlab.com/hobarrera/ ...

But there was a change, and https://gitlab.com/WhyNotHugo/scrotpush says:

Project 'hobarrera/scrotpush' was moved to 'WhyNotHugo/scrotpush'. Please update any links and bookmarks that may still have the old path.

WhyNotHugo commented on 2015-09-12 21:53

I updated the PKGBUILD a few hours ago, the issue should now be fixed.

karol_007 commented on 2015-09-12 21:06

Use the updated PKGBUILD.

tVictor commented on 2015-09-12 14:17

==> Retrieving sources...
-> Downloading v1.3.zip...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 122 0 122 0 0 461 0 --:--:-- --:--:-- --:--:-- 462
100 2853 0 2853 0 0 5289 0 --:--:-- --:--:-- --:--:-- 16881
==> Validating source files with md5sums...
v1.3.zip ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build scrotpush.

WhyNotHugo commented on 2015-06-09 06:36

I'm not using this any longer. Feel free to adopt it before the 8th of July.